HTTP::Client::Response -

# class HTTP::Client::Response

- HTTP::Client::Response
- Reference
- Object

## Defined in:

## Constructors

- .new(status : HTTP::Status, body : String? = nil, headers : Headers = Headers.new, status_message = nil, version = "HTTP/1.1", body_io = nil)
- .new(status_code : Int32, body : String? = nil, headers : Headers = Headers.new, status_message = nil, version = "HTTP/1.1", body_io = nil)

## Class Method Summary

- .from_io(io, ignore_body = false, decompress = true)
- .from_io(io, ignore_body = false, decompress = true, &block)
- .from_io?(io, ignore_body = false, decompress = true)

  Parses an `HTTP::Client::Response` from the given `IO`.

- .from_io?(io, ignore_body = false, decompress = true, &block)

  Parses an `HTTP::Client::Response` from the given `IO` and yields it to the block.

- .mandatory_body?(status : HTTP::Status) : Bool
- .supports_chunked?(version) : Bool

## Instance Method Summary

- #body
- #body? : String?
- #body_io
- #body_io? : IO?
- #charset : String?
- #content_type : String?
- #cookies

  Returns a convenience wrapper around querying and setting cookie related headers, see `HTTP::Cookies`.

- #headers : Headers
- #keep_alive?
- #mime_type : MIME::MediaType?
- #status : HTTP::Status
- #status_code

  Convenience method to retrieve the HTTP status code.

- #status_message : String?
- #success?

  Returns `true` if the response status code is between 200 and 299.

- #to_io(io)
- #version : String

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(status : HTTP::Status, body : String? = nil, headers : Headers = Headers.new, status_message = nil, version = "HTTP/1.1", body_io = nil) #
def self.new(status_code : Int32, body : String? = nil, headers : Headers = Headers.new, status_message = nil, version = "HTTP/1.1", body_io = nil) #

## Class Method Detail

def self.from_io(io, ignore_body = false, decompress = true) #
def self.from_io(io, ignore_body = false, decompress = true, &block) #
def self.from_io?(io, ignore_body = false, decompress = true) #

Parses an `HTTP::Client::Response` from the given `IO`. Might return `nil` if there's no data in the `IO`, which probably means that the connection was closed.

def self.from_io?(io, ignore_body = false, decompress = true, &block) #

Parses an `HTTP::Client::Response` from the given `IO` and yields it to the block. Might yield `nil` if there's no data in the `IO`, which probably means that the connection was closed.

def self.mandatory_body?(status : HTTP::Status) : Bool #
def self.supports_chunked?(version) : Bool #

## Instance Method Detail

def body #
def body? : String? #
def body_io #
def body_io? : IO? #
def charset : String? #
def content_type : String? #
def cookies #

Returns a convenience wrapper around querying and setting cookie related headers, see `HTTP::Cookies`.

def headers : Headers #
def keep_alive? #
def mime_type : MIME::MediaType? #
def status : HTTP::Status #
def status_code #

Convenience method to retrieve the HTTP status code.

def status_message : String? #
def success? #

Returns `true` if the response status code is between 200 and 299.

def to_io(io) #
def version : String #